CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel: Kernel::OrientedSide_2 Concept Reference

CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
List of all members
Kernel::OrientedSide_2 Concept Reference
Reference Manual » Concepts » Kernel Function Object Concepts

## Definition

Refines
  `AdaptableBinaryFunction`

See also
  `CGAL::Circle_2<Kernel>`
  `CGAL::Line_2<Kernel>`
  `CGAL::Triangle_2<Kernel>`

## Operations
A model of this concept must provide:
Oriented_side | operator() (const Kernel::Circle_2 &c, const Kernel::Point_2 &p)
| returns CGAL::ON_ORIENTED_BOUNDARY, CGAL::ON_NEGATIVE_SIDE, or the constant CGAL::ON_POSITIVE_SIDE, depending on the position of `p` relative to the oriented circle `c`.
Oriented_side | operator() (const Kernel::Line_2 &l, const Kernel::Point_2 &p)
| returns CGAL::ON_ORIENTED_BOUNDARY, CGAL::ON_NEGATIVE_SIDE, or the constant CGAL::ON_POSITIVE_SIDE, depending on the position of `p` relative to the oriented line `l`.
Oriented_side | operator() (const Kernel::Triangle_2 &t, const Kernel::Point_2 &p)
| returns CGAL::ON_ORIENTED_BOUNDARY, CGAL::ON_NEGATIVE_SIDE, or the constant CGAL::ON_POSITIVE_SIDE, depending on the position of `p` relative to the oriented triangle `t`.
Oriented_side | operator() (const Kernel::Segment_2 &s, const Kernel::Triangle_2 &t)
| returns CGAL::ON_ORIENTED_BOUNDARY, CGAL::ON_NEGATIVE_SIDE, or the constant CGAL::ON_POSITIVE_SIDE, depending on the position of the circumcenter of `t` relative to the oriented supporting line of `s`.

## Member Function Documentation

## ◆ operator()()

Oriented_side Kernel::OrientedSide_2::operator() | ( | const Kernel::Segment_2 & | s,
|  | const Kernel::Triangle_2 & | t
| ) |  |

returns CGAL::ON_ORIENTED_BOUNDARY, CGAL::ON_NEGATIVE_SIDE, or the constant CGAL::ON_POSITIVE_SIDE, depending on the position of the circumcenter of `t` relative to the oriented supporting line of `s`.

The orientation of the supporting line is the same as the orientation of `s`.